Subject: bug#30158: 11.90.2.2017-07-25; latex from command line is ok, but called from auctex, gives problems

From: Uwe Brauer <[email-masked]>
Date: Sat, 20 Jan 2018 14:19:49 +0100

> Uwe Brauer <[email-masked]> writes:

    > Where/how do you set TEXINPUTS?

I am using the tcsh shell, so in the
.login via setenv
setenv   TEXINPUTS  ".:${HOME}/tex/:${HOME}/ALLES/HGs/tex/bib:${HOME}/ALLES/HGs/tex/sty:${HOME}/ALLES/HGs/tex/sty/local-bidi/bidibeamer:${HOME}/ALLES/HGs/tex/letter/laletter:${HOME}/ALLES/HGs/tex/sty/fig:${HOME}/ALLES/HGs/tex/letter/paletter:"
And on the command line

Env returns the correct
TEXINPUTS=.:/home/oub/tex/:/home/oub/ALLES/HGs/tex/bib:/home/oub/ALLES/HGs/tex/sty:/home/oub/ALLES/HGs/tex/sty/local-bidi/bidibeamer:/home/oub/ALLES/HGs/tex/letter/laletter:/home/oub/ALLES/HGs/tex/sty/fig:/home/oub/ALLES/HGs/tex/letter/paletter:

And running latex from the command line works.

So I now started emacs from the command line and then everything is
fine. Only when I use an icon to start with. Strange.

This did not occur in Ubuntu 14.04 (and 16 is slower and thanks to
systemd it looks now really messy, ok off topic I admit).